#SYMBIAN_TARGET=armi
#SYMBIAN_TARGET=wins
#MK_TARGET=gui
include $(MK_DEVEL)/etc/image.src
SYMBIAN_EX_UID=0005c91
EX_MAIN_PLATFORM=default
EX_MAIN_OPTION=$(O_DEF)GEMAIN_MEMORY_LEAK  $(O_DEF)GEMAIN_ALLOC_HOOK
# $(O_DEF)GEMAIN_CORAL_MEMORY_LEAK

MK_OPTIMIZE=FAST
#EX_NAME=a
EX_SRCPATH=$(MK_DEVEL)/test/image
#EX_OBJ=$(MK_OUT)/mfcmain.$(OBJ_EXT)
EX_LIB=$(LIB_C) $(LIB_UI) $(LSH_PREF)coral$(LIB_MOD)$(LSH_SUFF) $(LSH_PREF)imath$(LIB_MOD)$(LSH_SUFF) $(LSH_PREF)image$(LIB_MOD)$(LSH_SUFF)
EX_DEPEND=$(MK_SH)/$(SH_PREF)image$(LIB_MOD)$(SH_SUFF)

IMAGE_DEVEL=$(MK_DEVEL)/image
CORAL_DEVEL=$(MK_DEVEL)/coralsrc
SH_NAME=image$(LIB_MOD)
SH_OBJ=$(IMAGE_MODULE) $(IMAGE_PDRV_MODULE) $(IMAGE_RDRV_MODULE) $(MFC_MODULE)  $(IMAGE_MDRV_MODULE) $(IMAGE_SDRV_MODULE)
SH_LIB=$(LIB_C) $(LIB_UI) $(LIB_MM) $(LIB_AUDIO) $(LSH_PREF)coral$(LIB_MOD)$(LSH_SUFF) $(LSH_PREF)imath$(LIB_MOD)$(LSH_SUFF) $(LSH_PREF)ffmpeg$(LSH_SUFF)
FFMP_CC_OPT=-D__INTEGERX_UNSUPPORTED__ -I$(MK_DEVEL)/ffmpeg/libavcodec -I$(MK_DEVEL)/ffmpeg/libavformat -I$(MK_DEVEL)/ffmpeg_p -I$(MK_DEVEL)/ffmpeg/libavutil
#FFMP_CC_OPT=-I$(MK_DEVEL)/ffmpeg/libavcodec -I$(MK_DEVEL)/ffmpeg/libavformat -I$(MK_DEVEL)/ffmpeg_p -I$(MK_DEVEL)/ffmpeg/libavutil
MK_CC_OPT=-D__GE_GDI_BACK_BUFFER__ -D__EXPORT__ -D__DTM__ $(FFMP_CC_OPT) #-DGEMAIN_MFC
IMAGE_CC=$(SH_CC)
IMAGE_CXX=$(SH_CXX)
GE_CC=$(IMAGE_CC)
W_CC=$(IMAGE_CC)
#PDRV=sym
#PDRV=w
#PDRV=mfc
RENDER=ge

FFMP_CC=$(SH_CC)
WSND_CC=$(SH_CC)
SSND_CC=$(SH_CC)
DSND_CC=$(SH_CC)


include $(MK_TEMPLATE_ROOT)/symbol.mk
include $(MK_EXECUTE)


include $(IMAGE_DEVEL)/make/imagemod.mk
include $(IMAGE_DEVEL)/make/$(RENDER)mod.mk
include $(IMAGE_DEVEL)/make/$(IMAGE_PDRV)mod.mk
include $(IMAGE_DEVEL)/make/$(IMAGE_MDRV)mod.mk
include $(IMAGE_DEVEL)/make/$(IMAGE_SDRV)mod.mk
include $(MK_SHARED)
include $(IMAGE_DEVEL)/make/imagedep.mk
include $(IMAGE_DEVEL)/make/$(RENDER)dep.mk
include $(IMAGE_DEVEL)/make/$(IMAGE_PDRV)dep.mk
include $(IMAGE_DEVEL)/make/$(IMAGE_MDRV)dep.mk
include $(IMAGE_DEVEL)/make/$(IMAGE_SDRV)dep.mk

clean:
	make $(MK_PATH)/image.mk clean_execute
	make $(MK_PATH)/image.mk clean_shared
	make $(MK_PATH)/image.mk clean_image
	make $(MK_PATH)/image.mk clean_$(RENDER)
	make $(MK_PATH)/image.mk clean_$(IMAGE_PDRV)
	make $(MK_PATH)/image.mk clean_$(IMAGE_SDRV)
	make $(MK_PATH)/image.mk clean_$(IMAGE_MDRV)
	$(MK_RM) $(MK_OUT)/gemain.$(OBJ_EXT)


# EOF


