@echo off

if "%MK_PROJECT%"=="" goto MAKEFILE
if "%MK_MAKEFILE%"=="" goto BUILDALL
devenv %MK_PROJECT% /build "Unicode Debug" /project %MK_MAKEFILE% /projectconfig "Unicode Debug"
goto END
:BUILDALL
devenv %MK_PROJECT% /build "Unicode Debug"
goto END

:MAKEFILE
if "%MK_MAKEFILE%"=="" goto USAGE
@rem cd %MK_DEVEL%\make

goto %MK_OS%%MK_COMPILER%

:win32gcc
"make.exe" -f %MK_TEMPLATE_ROOT%\%MK_OS%\%MK_COMPILER%\makefile %1 %2 %3 %4 %5 %6 %7 %8 %9
goto END

:win32vcc
:wincevcc
if not "%MK_ERRORFILE%"=="" goto w32vccer
nmake -nologo -f %MK_TEMPLATE_ROOT%\%MK_OS%\%MK_COMPILER%\makefile %1 %2 %3 %4 %5 %6 %7 %8 %9
goto END

:w32vccer
nmake -nologo -f %MK_TEMPLATE_ROOT%\%MK_OS%\%MK_COMPILER%\makefile %1 %2 %3 %4 %5 %6 %7 %8 %9 2> %MK_ERRORFILE%
goto END

:dosbcc
"make.exe" -f %MK_TEMPLATE_ROOT%\%MK_OS%\%MK_COMPILER%\makefile %1 %2 %3 %4 %5 %6 %7 %8 %9
goto END

:symbianabld
"make.exe" -f %MK_TEMPLATE_ROOT%/symbian/abld/makefile %1 %2 %3 %4 %5 %6 %7 %8 %9
if exist mmpprog.ex goto CLEARMMP
if exist mmpprog.sh goto CLEARMMP
goto END

:CLEARMMP
rm -f mmpprog.ex mmpprog.sh
rm -f %MK_MAKEFILE%/*.mmp
rm -f %MK_MAKEFILE%/*.pkg
goto END

:USAGE
@echo Define MK_MAKEFILE environment variable.

:END

