# Predefined macros

!ifndef MK_OUT_ROOT
MK_OUT_ROOT=$(MK_DEVEL)\out
!endif

!ifndef MK_OUT_PATH
MK_OUT_PATH=$(MK_OUT_ROOT)\$(MK_OS)
!endif

!ifndef MK_LIB_ROOT
MK_LIB_ROOT=$(MK_DEVEL)\lib
!endif

!ifndef MK_MODE
MK_MODE=r
!endif

!if "$(EX_MAIN_PLATFORM)"!=""

_GE_MAIN_EXT=c
_GE_MAIN_CC=$(_EX_CC)
!if "$(MK_TARGET)"=="gui"
_GE_MAIN_MODULE=$(MK_OUT)/gmain.$(OBJ_EXT)
!else
_GE_MAIN_MODULE=$(MK_OUT)/cmain.$(OBJ_EXT)
_GE_MAIN_CC=$(_GE_MAIN_CC) -DGEMAIN_CONSOLE
!endif

!if "$(EX_MAIN_PLATFORM)"=="simple"
_GE_MAIN_MODULE=$(MK_OUT)/smain.$(OBJ_EXT)
_GE_MAIN_CC=$(_GE_MAIN_CC) -DGEMAIN_SIMPLE
!else
# TODO : to combinate cases, inspect make utilities in dos compilers
!if "$(MK_OS)"=="win32"
!if "$(EX_MAIN_PLATFORM)"=="mfc"
MK_TARGET=gui
_GE_MAIN_MODULE=$(MK_OUT)/mfcmain.$(OBJ_EXT)
_GE_MAIN_EXT=cpp
_GE_MAIN_CC=$(_EX_CC) -DGEMAIN_MFC
!endif
!endif
!endif

!endif

_EX_MODULE=$(_GE_MAIN_MODULE) $(EX_OBJ) $(_GE_MAIN_RESOURCE) $(_EX_RESOURCE)

!ifdef EX_SRC
_EX_MODULE=$(MK_OUT)\$(EX_SRC).obj $(_EX_MODULE)
!ifndef EX_RESOURCE
EX_RESOURCE=
!endif
!endif


EX_CC=$(_MK_CC)
EX_CXX=$(_MK_CXX)
O_DEF=-D
MKO_FILE=-f

EX_SUFF=.$(_EX_EXT)

