# JWS_SRC, JWS_SRCPATH, JWS_OBJ, JWS_DEPEND, JWS_CLEAN, AXIS_PATH, AXIS_CLASS_PATH

$(MK_OUT)/$(JWS_SRC).wsdl : $(AXIS_PATH)/$(JWS_SRC).jws
	wget http://localhost:8080/axis/$(JWS_SRC).jws?wsdl -O $(MK_OUT)/temp.wsdl
	java util.WSDL2JAR -stub -temp -nojar $(MK_OUT)/temp.wsdl $(MK_OUT)/$(JWS_SRC).jar
	cp -rf $(MK_OUT)/$(JWS_SRC).jar.temp/* $(MK_OUT)
	rm -rf $(MK_OUT)/$(JWS_SRC).jar.temp
	mv $(MK_OUT)/temp.wsdl $(MK_OUT)/$(JWS_SRC).wsdl

$(AXIS_PATH)/$(JWS_SRC).jws : $(MK_OUT)/temp/$(JWS_SRC).class
	cp -f $(JWS_SRCPATH)/$(JWS_SRC).java $(AXIS_PATH)/$(JWS_SRC).jws

$(MK_OUT)/temp/$(JWS_SRC).class : $(JWS_SRCPATH)/$(JWS_SRC).java $(JWS_OBJ) $(JWS_DEPEND)
	javac -d $(MK_OUT)/temp $(JC_COMMON) $(JWS_SRCPATH)/$(JWS_SRC).java

$(JWS_CLEAN):
	$(MK_RM) $(MK_OUT)/$(JWS_SRC).wsdl
	$(MK_RM) $(AXIS_PATH)/$(JWS_SRC).jws
	$(MK_RM) $(MK_OUT)/temp/$(JWS_SRC).class
