include $(MK_TEMPLATE)/def.mk

ifndef SH_SRCEXT
SH_SRCEXT=c
endif



ifndef MK_EXECUTE_INCLUDED

#$(MK_SH)/$(SH_PREF)$(SH_NAME)$(LIB_MOD)$(SH_SUFF)
shnull : etc/$(MK_MAKEFILE)/$(SYMBIAN_ABLD) $(_SH_DEF_TARGET)
	$(LAUNCH)symbuild $(SYMBIAN_TARGET) $(SYMBIAN_MODE)

etc/$(MK_MAKEFILE)/$(SYMBIAN_ABLD) : etc/$(MK_MAKEFILE)/$(SH_NAME).mmp
	sh $(MK_TEMPLATE_ROOT)/etc/util/bldentry $(SH_NAME).mmp
	$(LAUNCH)\makeabld $(SYMBIAN_TARGET)
endif

ifdef SH_DEF


$(_SH_DEF_TARGET) : $(SH_DEF_PATH)/$(SH_DEF).c
	gcc -E -D__SYMBIAN__ $(EXPORT_DEF) "$(SH_DEF_PATH)/$(SH_DEF).c" | cmd /c windef symbian > "$(_SH_DEF_TARGET)"
endif

etc/$(MK_MAKEFILE)/$(SH_NAME).mmp : make/$(MK_MAKEFILE).mk
	$(IF_NOT_EXIST) etc$(DIRSEP)$(MK_MAKEFILE) $(THEN) mkdir etc$(DIRSEP)$(MK_MAKEFILE)
	$(ENDIF)
	touch mmpprog.sh
	make -f make/$(MK_MAKEFILE).mk clean_shmake
	make -f make/$(MK_MAKEFILE).mk SH_MMP
ifdef SH_DEF
	$(SHENTRY) DEFFILE $(SH_NAME) dll $(_SYMBIAN_SH_UID) $(SH_DEF_PATH)/$(SH_DEF)
endif
	$(SHENTRY) EMIT SYSTEMINCLUDE \epoc32\include
	$(SHENTRY) EMIT SYSTEMINCLUDE \epoc32\include\libc
	$(SHENTRY) EMIT SYSTEMINCLUDE ..\..
	$(SHENTRY) OPTION $(MK_CC_OPT)
	$(SHENTRY) LIBRARY $(SH_LIB) $(_SH_LIB)
ifndef SH_DEF
	$(SHENTRY) EMIT EXPORTUNFROZEN
endif
	$(MK_RM) mmpprog.sh

ifdef SH_SRC
SH_MMP : SH_NULL $(SH_OBJ)
SH_NULL : $(SH_SRCPATH)/$(SH_SRC).$(SH_SRCEXT)
	$(SH_CC) $(SH_SRCPATH)/$(SH_SRC).$(SH_SRCEXT)
else # !SH_SRC
SH_MMP : $(SH_OBJ)
endif # SH_SRC


clean_shared:
	$(IF_EXIST) etc/$(MK_MAKEFILE)/$(SYMBIAN_ABLD) $(THEN) $(LAUNCH)symclean $(SYMBIAN_TARGET) $(SYMBIAN_MODE)
	$(ENDIF)
	make -f make/$(MK_MAKEFILE).mk clean_shmake

clean_shmake:
	$(MK_RM) etc/$(MK_MAKEFILE)/$(SH_NAME).mmp
	$(MK_RM) etc/$(MK_MAKEFILE)/$(SYMBIAN_ABLD)
	$(MK_RM) etc/$(MK_MAKEFILE)/bld.inf
#	$(MK_RM) $(MK_MAKEFILE)/$(EX_NAME).pkg

