!ifndef __WINCE_VC_DEF_MK
__WINCE_VC_DEF_MK=1


!if "$(MK_DEVICE)"=="" || "$(MK_DEVICE)"=="default"
MK_DEVICE=mips
!endif

_WINCE_MACHINE=$(MK_DEVICE)

!if "$(MK_DEVICE)"=="mips"
LIB=$(FILE)\devel\cedev\platsdk2\wce\lib\wce200\HPC\wcemips;$(LIB)
_WINCE_CL=clmips
_MK_CC_OPT=-D _MIPS_ -DMIPS -Dmips
_WINCE_LD=msvcrt.lib commctrl.lib ceshell.lib
!else
!if "$(MK_DEVICE)"=="ppc"
_WINCE_LD=msvcrt.lib ntcompat.lib coredll.lib 
!else
!if "$(MK_DEVICE)"=="emulator"
LIB=$(FILE)\devel\cedev\stdsdk\lib\$(MK_DEVICE);$(LIB)
_WINCE_CL=cl
_MK_CC_OPT=-D_X86_ -Dx86
_WINCE_LD=corelibc.lib
_WINCE_MACHINE=x86
!else

!endif
!endif
!endif

_MK_CC_COMMON=$(_WINCE_CL) /c /Fo$@ $(MK_CC_OPT) $(_MK_CC_OPT) \
	-DUNDER_CE=211 -DUSA -DINTLMSG_CODEPAGE=1252 $(CDEBUG)

!include $(MK_TEMPLATE_ROOT)\win32\vcc\def.d

_MK_LD_OPT=$(_MK_LD_OPT) -subsystem:windowsce,2.11 -incremental:no \
	-machine:$(_WINCE_MACHINE) -nodefaultlib $(_WINCE_LD)
 
!endif # !__WINCE_VC_DEF_MK
