#SH_EXPORT=y

include $(MK_DEVEL)/etc/coral.src

MK_OPTIMIZE=FAST
EX_MAIN_PLATFORM=simple
EX_MAIN_OPTION=$(O_DEF)GEMAIN_MEMORY_LEAK $(O_DEF)GEMAIN_ALLOC_HOOK 
#$(O_DEF)GEMAIN_CORAL_MEMORY_LEAK
#EX_OBJ=$(MK_OUT)/intxdup.$(OBJ_EXT)
EX_SRCEXT=c
EX_SRCPATH=$(MK_DEVEL)/test/coral
EX_LIB=$(LSH_PREF)coral$(LIB_MOD)$(LSH_SUFF)
#libspeex$(LSH_SUFFR)
EX_DEPEND=$(MK_SH)/$(SH_PREF)coral$(LIB_MOD)$(SH_SUFF)
#MK_LD_OPT=-LTCG
EX_STACKSIZE=0x8000
EX_HEAPMIN=1000000

CORAL_CC_OPT=-D__INTEGERX_UNSUPPORTED__ -D__GLOBAL_UNSUPPORTED__  -D__SUPPORT_FFMPEG__

# support for ffmpeg
MK_CC_OPT=$(CORAL_CC_OPT) $(FFMCORAL_CC_OPT) -I $(MK_DEVEL)/ffmpeg_p -I $(MK_DEVEL)/ffmpeg/libavcodec -I $(MK_DEVEL)/ffmpeg/libavformat -I $(MK_DEVEL)/ffmpeg/libavutil -I $(MK_DEVEL)/ffmpeg/libswscale


#MK_SHARED_PATH="$(EXTRA)/Optis-W Analyzer(DrCDMA-W)"
SH_NAME=coral$(LIB_MOD)
SH_OBJ=$(CORAL_MODULE) $(CORALEXT_MODULE) $(CORALCOMPAT_MODULE) $(FFMCORAL_OBJ)
# $(CORALPLAT_MODULE)
SH_LIB=$(LIB_C) $(LIB_DL) $(LIB_THREAD) $(LIB_BLUETOOTH) $(LIB_INET) $(LIB_SYSTEM)
CORAL_DEVEL=$(MK_DEVEL)/coralsrc
SH_DEF=coral
SH_DEF_PATH=$(CORAL_DEVEL)/make
#SHW_DEF=$(CORAL_DEVEL)/make/coral.def
CORAL_CC=$(SH_CC)
# -D__EXPORT__ 
CORALEXT_CC=$(CORAL_CC) 
CORALPLAT_CC=$(CORAL_CC)
CORALCOMPAT_CC=$(CORAL_CC)

include $(MK_TEMPLATE_ROOT)/symbol.mk
include $(MK_EXECUTE)

include $(CORAL_DEVEL)/make/coralmod.mk
include $(CORAL_DEVEL)/make/platmod.mk
include $(CORAL_DEVEL)/make/cmod.mk
include $(MK_SHARED)
include $(CORAL_DEVEL)/make/coraldep.mk
include $(CORAL_DEVEL)/make/platdep.mk
include $(CORAL_DEVEL)/make/cdep.mk

$(MK_OUT)/intxdup.$(OBJ_EXT) : $(MK_DEVEL)/test/coral/intxdup.cpp
	$(EX_CC) $(MK_DEVEL)/test/coral/intxdup.cpp

clean:
	make $(MK_PATH)/coral.mk clean_shared
	make $(MK_PATH)/coral.mk clean_coral
	make $(MK_PATH)/coral.mk clean_coralplat
	make $(MK_PATH)/coral.mk clean_coralcompat
	make $(MK_PATH)/coral.mk clean_execute

# end of coral.mk

