#SYMBIAN_TARGET=wins
#MK_TARGET=gui
SYMBIAN_EX_UID=0005c91

MK_OPTIMIZE=FAST
EX_NAME=ffm
EX_SRC=ffmpeg
#EX_OBJ=$(MK_OUT)/_syment.$(OBJ_EXT)
SH_OBJ=$(MK_OUT)/ffmpeg_p.$(OBJ_EXT) $(FFMAVC_OBJ) $(FFMAVF_OBJ) $(FFMAVU_OBJ)  $(FFMSWS_OBJ) $(MK_OUT)/_syment.$(OBJ_EXT)
EX_OBJ=$(MK_OUT)/ffmpeg_p.$(OBJ_EXT) $(FFMAVC_OBJ) $(FFMAVF_OBJ) $(FFMAVU_OBJ)  $(FFMSWS_OBJ) $(MK_OUT)/_syment.$(OBJ_EXT) $(MK_OUT)/cmdutils.$(OBJ_EXT)
EX_DEPEND=$(MK_SH)/$(SH_PREF)ffmpeg$(SH_SUFF)
#EX_OBJ=$(EX_OBJ) $(MK_OUT)/ffmtest.$(OBJ_EXT) $(MK_OUT)/cmdutils.$(OBJ_EXT) 
#EX_SRC=ffm2

EX_SRCEXT=cpp


EX_SRCPATH=$(MK_DEVEL)/ffmpeg
EX_SRCDEP=$(MK_DEVEL)/ffmpeg_p/global.h
EX_LIB=$(LSH_PREF)coral$(LIB_MOD)$(LSH_SUFF)
# $(LSH_PREF)ffmpeg$(LSH_SUFF)
FFSRC=x
SH_NAME=ffmpeg
SH_DEF=ffmpeg
SH_DEF_PATH=$(MK_DEVEL)/coralsrc/make
#SH_SRC=ffm1
SH_SRCPATH=$(MK_DEVEL)/ffmpeg
SH_SRCEXT=cpp
SH_LIB=$(LSH_PREF)coral$(LIB_MOD)$(LSH_SUFF) $(LIB_C)


MK_CC_OPT= -D__EXPORT__ -D__GLOBAL_UNSUPPORTED__ -D__CXXBUILD__ -D__INTEGERX_UNSUPPORTED__ -I$(MK_DEVEL)/ffmpeg_p -I$(MK_DEVEL)/ffmpeg -I$(MK_DEVEL)/ffmpeg/libavformat -I$(MK_DEVEL)/ffmpeg/libavcodec -I$(MK_DEVEL)/ffmpeg/libavutil -I$(MK_DEVEL)/ffmpeg/libswscale
#MK_CC_OPT= -D__EXPORT__ -D__GLOBAL_UNSUPPORTED__ -I$(MK_DEVEL)/ffmpeg_p -I$(MK_DEVEL)/ffmpeg -I$(MK_DEVEL)/ffmpeg/libavformat -I$(MK_DEVEL)/ffmpeg/libavcodec -I$(MK_DEVEL)/ffmpeg/libavutil -I$(MK_DEVEL)/ffmpeg/libswscale


#-------------------------
FFMCC=$(SH_CC)
FFMAVC=$(MK_DEVEL)/ffmpeg/libavcodec
FFMAVF=$(MK_DEVEL)/ffmpeg/libavformat
FFMAVU=$(MK_DEVEL)/ffmpeg/libavutil
FFMSWS=$(MK_DEVEL)/ffmpeg/libswscale
FFMPORT=$(MK_DEVEL)/ffmpeg_p

include $(MK_DEVEL)/ffmpeg_p/config.mak

include $(MK_TEMPLATE_ROOT)/symbol.mk
include $(FFMPORT)/avcm.mk
include $(FFMPORT)/avfm.mk
include $(FFMPORT)/avum.mk
include $(FFMPORT)/swsm.mk
#include $(MK_EXECUTE)

include $(MK_SHARED)
include $(FFMPORT)/avcd$(FFSRC).mk
include $(FFMPORT)/avfd$(FFSRC).mk
include $(FFMPORT)/avud$(FFSRC).mk
include $(FFMPORT)/swsd$(FFSRC).mk

$(MK_OUT)/cmdutils.$(OBJ_EXT) : $(EX_SRCPATH)/cmdutils.$(SH_SRCEXT)
	$(FFMCC) $(EX_SRCPATH)/cmdutils.$(SH_SRCEXT)

$(MK_OUT)/ffmpeg_p.$(OBJ_EXT) : $(FFMPORT)/ffmpeg_p.$(SH_SRCEXT)
	$(FFMCC) $(FFMPORT)/ffmpeg_p.$(SH_SRCEXT)

$(MK_OUT)/_syment.$(OBJ_EXT) : $(MK_DEVEL)/coralsrc/_syment.cpp
	$(FFMCC) $(MK_DEVEL)/coralsrc/_syment.cpp


$(MK_OUT)/ffmtest.$(OBJ_EXT) : $(MK_DEVEL)/ffmpeg_p/ffmtest.c
	$(FFMCC) $(MK_DEVEL)/ffmpeg_p/ffmtest.c

clean:
	make $(MK_PATH)/ffmpeg.mk clean_shared
	make $(MK_PATH)/ffmpeg.mk clean_avc
	make $(MK_PATH)/ffmpeg.mk clean_avu
	make $(MK_PATH)/ffmpeg.mk clean_avf
	$(MK_RM) $(MK_OUT)/ffmpeg_p.$(OBJ_EXT)

	$(MK_RM) $(MK_OUT)/cmdutils.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/avio.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/aviobuf.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/framehook.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/ffile.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/asf.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/fraw.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/mathematics.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/mpegvideo2.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/swscale.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/rgb2rgb.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/yuv2rgb.$(OBJ_EXT)

	make $(MK_PATH)/ffmpeg.mk clean_execute


