#EX_NAME=$(EX_SRC)
#SYMBIAN_TARGET=wins
EX_SRC=rndspeed
EX_SRCPATH=$(MK_DEVEL)/test/imath
EX_LIB=$(LIB_MATH) $(LSH_PREF)imath$(LIB_MOD)$(LSH_SUFF) $(LSH_PREF)coral$(LIB_MOD)$(LSH_SUFF)
EX_DEPEND=$(MK_SH)/$(SH_PREF)imath$(LIB_MOD)$(SH_SUFF)

SH_NAME=imath$(LIB_MOD)
SH_OBJ=$(IMATH_MODULE) $(IMATH_COMPAT_MODULE)
SH_LIB=$(LIB_C) $(LIB_MATH)

IMATH_DEVEL=$(MK_DEVEL)/imath
IMATH_CC=$(SH_CC) -D__EXPORT__

CORAL_DEVEL=$(MK_DEVEL)/coralsrc
IMATH_CXX=$(SH_CXX) -D__EXPORT__

include $(MK_TEMPLATE_ROOT)/symbol.mk
#include $(MK_EXECUTE)
include $(IMATH_DEVEL)/make/imathmod.mk
include $(IMATH_DEVEL)/make/$(MK_PLATFORM)m.mk
include $(MK_SHARED)
include $(IMATH_DEVEL)/make/imathdep.mk
include $(IMATH_DEVEL)/make/$(MK_PLATFORM)d.mk

clean:
	make $(MK_PATH)/imath.mk clean_shared
	make $(MK_PATH)/imath.mk clean_imath

