# Makefile to generate an executable file
# Hee S. Chung, Distributed under GNU LGPL


!ifndef __DOS_DEF
!include $(MK_TEMPLATE)\def.d
!endif

!ifndef EX_SRCPATH
EX_SRCPATH=.
!endif

!ifndef EX_SRCEXT
EX_SRCEXT=c
!endif

!ifndef EX_NAME
EX_NAME=a
!endif




!if "$(EX_SRCEXT)"=="c"
_EX_CC=$(EX_CC)
!else
_EX_CC=$(EX_CXX)
!endif

# Dependencies

$(MK_OUT_PATH)\$(EX_NAME).$(_EX_EXT) : $(_EX_MODULE) $(EX_DEPEND)
	$(_EX_LINK)

run:
	$(EX_NAME)


!ifdef EX_SRC
$(MK_OUT)\$(EX_SRC).obj : $(EX_SRCPATH)\$(EX_SRC).$(EX_SRCEXT) $(EX_SRCDEP)
	$(_EX_CC) $(EX_SRCPATH)\$(EX_SRC).$(EX_SRCEXT)
!endif

!ifdef EX_MAIN_PLATFORM
$(_GE_MAIN_MODULE) : $(MK_DEVEL)\ge\gemain.$(_GE_MAIN_EXT)
	$(_GE_MAIN_CC) $(EX_MAIN_OPTION) $(MK_DEVEL)\ge\gemain.$(_GE_MAIN_EXT)
!endif

clean_execute:
!ifdef EX_MAIN_PLATFORM
	$(MK_RM) $(_GE_MAIN_MODULE)
!endif
	$(MK_RM) $(MK_OUT_ROOT)\$(MK_OS)\$(EX_NAME).$(_EX_EXT)
	$(MK_RM) $(MK_OUT)\$(EX_SRC).obj

# end of execute.d

