# Automatically defined symbols
# Hee S. Chung, Distributed under GNU LGPL

ifndef __SYMBOL_MK
__SYMBOL_MK=1


# Automatically defined symbols

MK_PATH=$(MKO_FILE) $(MK_DEVEL)/make
MK_TEMPLATE=$(MK_TEMPLATE_ROOT)/$(MK_OS)/$(MK_COMPILER)
MK_SH=$(MK_LIB_ROOT)/$(MK_OS)/shared
MK_EX=$(MK_OUT_PATH)
MK_LIB=$(MK_LIB_ROOT)/$(MK_OS)/$(MK_COMPILER)
MK_OUT=$(MK_OUT_ROOT)/$(MK_OS)/$(MK_COMPILER)/$(MK_MODE)



# Supported makefile templates

MK_EXECUTE=$(MK_TEMPLATE)/execute.mk
MK_SHARED=$(MK_TEMPLATE)/shared.mk
MK_STATIC=$(MK_TEMPLATE)/static.mk



# default platform name

MK_PLATFORM=compat
MK_PLATFORM_EXT=c
O_DEF=-D

ifndef MK_SHORT_PLATFORM
MK_SHORT_PLATFORM=$(MK_PLATFORM)
endif

ifndef MK_SHORT_OS
MK_SHORT_OS=$(MK_OS)
endif


include $(MK_TEMPLATE)/def.mk


endif
# end of symbol.mk

