!if "$(EX_SRCEXT)"=="java" || "$(EX_SRCEXT)"=="jws"
!include $(MK_TEMPLATE_ROOT)\java\execute.d
!else
_EX_LINK=link /ALLOWISOLATION:NO /OUT:$@ $(MK_LD_OPT) $(_MK_LD_OPT) $(_EX_MODULE) $(EX_LIB) $(_EX_LIB)

!if "$(EX_MAIN_RESOURCE)"=="default" || "$(EX_MAIN_RESOURCE)"==""
#EX_MAIN_RESOURCE=$(MK_TEMPLATE)
!undef EX_MAIN_RESOURCE
!else
!if "$(EX_MAIN_RESOURCE)"=="custom"
_EX_RESOURCE=$(MK_OUT)/$(EX_NAME).res
_GE_MAIN_RESOURCE=$(MK_OUT)/$(EX_NAME).obj
EX_MAIN_RESOURCE=$(MK_DEVEL)/$(EX_NAME)/resource
!endif
!endif

!include $(MK_TEMPLATE_ROOT)\dos\common\execute.d

!ifdef _GE_MAIN_RESOURCE
$(_GE_MAIN_RESOURCE) : $(EX_MAIN_RESOURCE)/$(EX_NAME)res.c
	$(EX_CC) $(EX_MAIN_RESOURCE)/$(EX_NAME)res.c
!endif

!ifdef _EX_RESOURCE
$(_EX_RESOURCE) : $(MK_DEVEL)/etc/$(EX_NAME).rc $(MK_DEVEL)/etc/$(EX_NAME).ico
	rc -fo $@ $(MK_DEVEL)/etc/$(EX_NAME).rc

$(MK_DEVEL)/etc/$(EX_NAME).rc : $(MK_DEVEL)/make/$(MK_MAKEFILE).mk $(MK_TEMPLATE)/execute.d
	"echo.exe" -n\
'IDI_MAIN   ICON "$(EX_NAME).ico"\\r\\n'\
'#include "$(EX_MAIN_RESOURCE)/$(EX_NAME).h"\\r\\n'\
'#include "winres.h"\\r\\n'\
'#ifdef _WIN32\\r\\n\\r\\n'\
'LANGUAGE LANG_NEUTRAL, SUBLANG_NEUTRAL\\r\\n'\
'#pragma code_page(949)\\r\\n'\
'#endif //_WIN32\\r\\n'\
'\\r\\n'\
'VS_VERSION_INFO VERSIONINFO\\r\\n'\
' FILEVERSION 1,0,0,0\\r\\n'\
' PRODUCTVERSION 1,0,0,0\\r\\n'\
' FILEFLAGSMASK 0x1fL\\r\\n'\
'#ifdef _DEBUG\\r\\n'\
' FILEFLAGS 0x1L\\r\\n'\
'#else\\r\\n'\
' FILEFLAGS 0x0L\\r\\n'\
'#endif\\r\\n'\
' FILEOS 0x4L\\r\\n'\
' FILETYPE 0x1L\\r\\n'\
' FILESUBTYPE 0x0L\\r\\n'\
'BEGIN\\r\\n'\
'    BLOCK "StringFileInfo"\\r\\n'\
'    BEGIN\\r\\n'\
'        BLOCK "000004b0"\\r\\n'\
'        BEGIN\\r\\n'\
'            VALUE "CompanyName", "$(MK_VENDOR)"\\r\\n'\
'            VALUE "FileDescription", GEAPP_NAME\\r\\n'\
'            VALUE "FileVersion", "1, 0, 0, 0"\\r\\n'\
'            VALUE "InternalName", GEAPP_TAG\\r\\n'\
'            VALUE "LegalCopyright", "Copyright (c) $(MK_YEAR) $(MK_VENDOR).  All rights reserved."\\r\\n'\
'            VALUE "LegalTrademarks", GEAPP_NAME\\r\\n'\
'            VALUE "OriginalFilename", "$(EX_NAME).exe"\\r\\n'\
'            VALUE "ProductName", GEAPP_NAME\\r\\n'\
'            VALUE "ProductVersion", "1, 0, 0, 0"\\r\\n'\
'        END\\r\\n'\
'    END\\r\\n'\
'    BLOCK "VarFileInfo"\\r\\n'\
'    BEGIN\\r\\n'\
'        VALUE "Translation", 0x0, 1200\\r\\n'\
'    END\\r\\n'\
'END\\r\\n' > $@




# XXX consider 4 colors, true color, and small icon image
$(MK_DEVEL)/etc/$(EX_NAME).ico : $(EX_MAIN_RESOURCE)/$(EX_NAME).xpm
	$(FILE)\util\im\convert -type PaletteMatte $(EX_MAIN_RESOURCE)/$(EX_NAME).xpm $@

!endif

!endif

debug:
!if "$(MSDEV)"=="msdev"
	msdev $(MK_OUT_ROOT)\$(MK_OS)\$(EX_NAME).exe
!else
!if "$(MSDEV)"=="vs2005"
	devenv $(MK_OUT_ROOT)\$(MK_OS)\$(EX_NAME).exe
!else
	@echo Debugger is not available.
!endif
!endif

#EOF

